org.apache.sling.jcr.jackrabbit.server.security.accessmanager

## Interface WorkspaceAccessManagerPlugin

    public interface WorkspaceAccessManagerPlugin

An `AccessManagerPlugin` can define its own `WorkspaceAccessManagerPlugin`, if desired.

See Also:
  `AccessManagerPlugin.getWorkspaceAccessManager()`

### Method Summary

Methods
`boolean` `canAccess(String workspaceName)` Determines whether the subject of the current context is granted access to the given workspace.

### Method Detail

#### canAccess

    boolean canAccess(String workspaceName)
                      throws javax.jcr.RepositoryException

Determines whether the subject of the current context is granted access to the given workspace. Note that an implementation is free to test for the existance of a workspace with the specified name. In this case the expected return value is `false`, if no such workspace exists.

Parameters:
  `workspaceName` - name of workspace
Returns:
  `true` if the subject of the current context is granted access to the given workspace; otherwise `false`.
Throws:
  `javax.jcr.RepositoryException` - if an error occurs.